package sop_node

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_node"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_node/update sop_node UpdateSopNode
//
// Update sop node information | 更新SopNode
//
// Update sop node information | 更新SopNode
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopNodeInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateSopNodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopNodeInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_node.NewUpdateSopNodeLogic(r.Context(), svcCtx)
		resp, err := l.UpdateSopNode(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
